YouTube Search Typeahead API

Get the live autocomplete suggestions shown in YouTube's search dropdown.

1 creditper request
GET
/v1/youtube/search/typeahead
curl "https://api.scrapecreators.com/v1/youtube/search/typeahead" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 100,
  "credits_charged": 1,
  "data": {
    "query": "mr beast",
    "suggestions": [
      {
        "text": "mrbeast",
        "type": "channel",
        "channel": {
          "id": "UCX6OQ3DkcsbYNE6H8uQQuVA",
          "handle": "@MrBeast",
          "name": "MrBeast",
          "thumbnailUrl": "https://yt3.googleusercontent.com/example=s88-c-k-c0x00ffffff-no-rj"
        }
      },
      {
        "text": "mr beast give me some money",
        "type": "query"
      },
      {
        "text": "mrbeast gaming",
        "type": "query"
      }
    ]
  }
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

query
string
required

Partial or complete YouTube search query

Example:
mr beast